vue-gapi

v1.1.0

Google API Client Library wrapper for Vue.js

MIT
Latest version published 3 months ago
    npm install vue-gapi
  
We couldn't find any similar packages Browse all packages

Package Health Score

74 / 100
Make sure the open source you're using is safe to use
Secure my Project

Popularity

Small

Weekly Downloads (1,147)

Dependents
3
GitHub Stars
101
Forks
33
Contributors
20

The npm package vue-gapi receives a total of 1,147 downloads a week. As such, we scored vue-gapi popularity level to be Small.

Based on project statistics from the GitHub repository for the npm package vue-gapi, we found that it has been starred 101 times, and that 3 other projects in the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Security

No known security issues
Powered by Snyk

Security and license risk for significant versions

All Versions

Direct Vulnerabilities

0.3.1
0.4.0
0.5.0
1.0.0
1.1.0
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L

Indirect Vulnerabilities

0.3.1
0.4.0
0.5.0
1.0.0
1.1.0
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L

License Risks

0.3.1
0.4.0
0.5.0
1.0.0
1.1.0
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
All security vulnerabilities belong to production dependencies of direct and indirect packages.

License
MIT

Security Policy
No

We found a way for you to contribute to the project! Looks like vue-gapi is missing a security policy.


You can connect your project's repository to Snyk to stay up to date on security alerts and receive automatic fix pull requests.

    # Install the Snyk CLI and test your project
npm i snyk -g && snyk test vue-gapi
Keep your project free of vulnerabilities with Snyk

Maintenance

Sustainable

Commit Frequency

Open Issues
10
Open PR
2
Last Release
3 months ago
Last Commit
14 days ago

Further analysis of the maintenance status of vue-gapi based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Sustainable.

We found that vue-gapi demonstrates a positive version release cadence with at least one new version released in the past 12 months.

As a healthy sign for on-going project maintenance, we found that the GitHub repository had at least 1 pull request or issue interacted with by the community.

Community

Active
Readme.md
Yes
Contributing.md
Yes
Code of Conduct
No
Contributors
20
Funding
No

With more than 10 contributors for the vue-gapi repository, this is possibly a sign for a growing and inviting community.

We found a way for you to contribute to the project! Looks like vue-gapi is missing a Code of Conduct.


Embed Package Health Score Badge

package health: 74/100 package health 74/100

Package

Node.js Compatibility
not defined

Age
3 years
Dependencies
2 Direct
Versions
24
Install Size
62.6 kB
Dist-tags
2
# of Files
8
Maintainers
1
TS Typings
Yes

vue-gapi has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.